System Requirements | Teradata Package for Python 17.00.00.?? - 17.00 - Teradata Package for Python System Requirements - Teradata Package for Python - Teradata Vantage

Getting Started Guide for Data Scientists Using Python with Vantage

Product
Teradata Package for Python
Teradata Vantage
Release Number
17.00
Release Date
December 2020
Content Type
Programming Reference
Publication ID
B700-4040-120K
Language
English (United States)

Required Software on Teradata Vantage

Based on the connection to Vantage, the teradataml package requires the following minimum software versions be installed on Vantage:

Teradata Vantage with Advanced SQL Engine Release 16.20.16.01 or later

Required Software on Client

The teradataml package also requires a minimum version of the following software be installed on the client:

  • teradatasqlalchemy 17.00.00.00
  • teradatasql 17.00.00.02
  • pandas 0.22.00
  • psutil
  • Operating Systems:
    • Windows OS: Windows 7
    • macOS: os x 10.9
    • Linux: Ubuntu 16.04, CentOS 7.0, RHEL 7.1, or SLES 12
    The teradataml package only supports 64-bit version of these operating systems.